Package org.apache.activemq.artemis.uri

## Class InVMSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<ActiveMQConnectionFactory,​java.lang.String>
  - - org.apache.activemq.artemis.uri.AbstractCFSchema
    - - org.apache.activemq.artemis.uri.InVMSchema

-     public class InVMSchema
      extends AbstractCFSchema

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InVMSchema()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getSchemaName()` |
    `protected ActiveMQConnectionFactory` | `internalNewObject​(java.net.URI uri, java.util.Map<java.lang.String,​java.lang.String> query, java.lang.String name)` |
    `protected java.net.URI` | `internalNewURI​(ActiveMQConnectionFactory bean)` |

    - ### Methods inherited from class org.apache.activemq.artemis.uri.AbstractCFSchema

      `newConectionOptions, setData`

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `getDefaultURI, getFactory, getHost, getPort, internalPopulateObject, newObject, newObject, newURI, parseQuery, populateObject, printQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InVMSchema

          public InVMSchema()

  - ### Method Detail

    - #### getSchemaName

          public java.lang.String getSchemaName()

      Specified by:
        `getSchemaName` in class `org.apache.activemq.artemis.utils.uri.URISchema<ActiveMQConnectionFactory,​java.lang.String>`

    - #### internalNewObject

          protected ActiveMQConnectionFactory internalNewObject​(java.net.URI uri,
                                                                java.util.Map<java.lang.String,​java.lang.String> query,
                                                                java.lang.String name)
                                                         throws java.lang.Exception

      Specified by:
        `internalNewObject` in class `org.apache.activemq.artemis.utils.uri.URISchema<ActiveMQConnectionFactory,​java.lang.String>`
      Throws:
        `java.lang.Exception`

    - #### internalNewURI

          protected java.net.URI internalNewURI​(ActiveMQConnectionFactory bean)
                                         throws java.lang.Exception

      Overrides:
        `internalNewURI` in class `org.apache.activemq.artemis.utils.uri.URISchema<ActiveMQConnectionFactory,​java.lang.String>`
      Throws:
        `java.lang.Exception`